package pps.core.prediction.service.data.third_photovoltaic_power;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 当日累计发电量
 *
 * @author ZWT
 * @date 2024/03/27 17:22
 */
@Data
public class GetCumulativePowerGenerationOutput {

    @XText("井组名称(线路/光伏电站)")
    @JSONField(name = "stationname")
    private String stationName;

    @XText("光伏日累计发电(KWh)")
    @JSONField(name = "pV_DAY_ELECTRIC_POWER")
    private BigDecimal photovoltaicPower;

    @XText("日累计用电量(KW·h)")
    @JSONField(name = "poweR_CONSUME_DAILY")
    private BigDecimal dailyElectricityConsumption;

    @XText("日累计产液量(m³)")
    @JSONField(name = "reaL_LIQUID_DAILY")
    private BigDecimal dailyLiquidProduction;
}
